# fann_get_bit_fail

(PECL fann >= 1.0.0)

fann_get_bit_fail — The number of fail bits

### Description

fann_get_bit_fail ( resource `$ann` ) : int

The number of fail bits; means the number of output neurons which differ more than the bit fail limit (see fann_get_bit_fail_limit(), fann_set_bit_fail_limit()). The bits are counted in all of the training data, so this number can be higher than the number of training data.

This value is reset by fann_reset_MSE() and updated by all the same functions which also updates the MSE value (e.g. fann_test_data(), fann_train_epoch())

### Parameters

`ann`

  Neural network resource.

### Return Values

The number of bits fail, or `FALSE` on error.

### See Also

- fann_get_MSE() - Reads the mean square error from the network
- fann_reset_MSE() - Resets the mean square error from the network
- fann_test_data() - Test a set of training data and calculates the MSE for the training data
- fann_train_epoch() - Train one epoch with a set of training data
- fann_get_bit_fail_limit() - Returns the bit fail limit used during training
- fann_set_bit_fail_limit() - Set the bit fail limit used during training